@charset "UTF-8";

/* Color-Palette "Earthy Forest Hues" from here: https://coolors.co/palette/dad7cd-a3b18a-588157-3a5a40-344e41 */
:root {
    --bgc: #DAD7CD;
    --g1: #A3B18A;
    --g2: #588157;
    --g3: #3A5A40;
    --g4: #344E41;
}

body {
    background-color: var(--bgc);
    background-image: url('bg.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: bottom right;
    color: var(--g4);
    font-family: 'Share Tech Mono', Arial, Helvetica, sans-serif;
    font-size: 18px;
    letter-spacing: 1px;
    margin-top: -25px;
    margin-left: auto;
    margin-right: auto;
    line-height: 25px;
    padding-top: 20px;
    padding-bottom: 20px;
    overflow: hidden;
    width: 520px;
}



hr {
    max-width: 90%;
    border-top: 1px dashed var(--g3);
    border-bottom: none;
    border-left: none;
    border-right: none;
    margin-top: 20px;
    margin-bottom: 15px;
}

::selection {
    color: var(--g1);
    background-color: var(--g4);
}

img.avatar {
    display: inline-block;
    vertical-align: top;
    border: 2px solid var(--g1);
    background-color: var(--bgc);
    border-radius: 100px;
    height: 70px;
    width: 70px;
    padding: 6px;
    margin-right: 20px;
    object-fit: cover;
    box-shadow: 1px 1px 5px 0px #344E41;
}

/* Schriftarten-Stile */ 
a {
	color: var(--g2);
	text-decoration-line: none;
}

a:hover {
	color: var(--g3);
	text-decoration-line: underline;
    text-decoration-color: var(--g4);  
    text-decoration-style: wavy;
}


/* Container-Spezifische Stile */
div.site {
    display: flex;
    justify-content: center;
}

div.content {
    background: var(--g1);
    display: block;
    margin-top: 0px;
    margin-bottom: 0px;
    position: absolute;
    width: 500px;
    min-width: 400px;
    border: 1px solid var(--g4);
    border-radius: 0px;
    box-shadow: 1px 1px 5px 0px #0000005b, inset 0px 0px 0px 1px #DAD7CD;
    padding: 15px;
    animation: onload 0.8s;
    top: 50%;
    transform: translateY(-50%);
}

div.content:hover {
    border: 1px solid var(--g2);
}

div.header {
    background: var(--bgc);
    background-image: url('hdots.png');
    background-repeat: no-repeat;
    background-position: center right 1px;
    width: 468px;
    font-size: 20px;
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 30px;
    padding-right: 30px;
    margin-top: -15px;
    margin-bottom: 10px;
    margin-left: -15px;
    border: 1px solid var(--bgc);
    box-shadow: inset 0px 0px 0px 1px #344E41;
}

h1 {
    font-size: 60px;
    transform: rotate(-5deg);
    float:right;
    margin-top: 50px;
    padding-top: 50px;
    color: var(--g2);
    text-shadow: 0px 1px 0px #344E41, 0px 2px 0px #344E41, 0px 3px 0px #344E41, 0px 4px 0px #344E41, 0px 5px 4px #000000;
}


/* Text-Styling */
p.kursiv {
    font-style: italic;
    display: inline;
}

p.fett {
    font-weight: bold;
    letter-spacing: 1px;
    display: inline;
}

p.unterstrichen {
    text-decoration: underline var(--g2);
    display: inline;
}

p.invertiert {
    color: var(--g1);
    background-color: var(--g4);
    display: inline;
}

p.invertiert::selection {
    color: var(--g4);
    background-color: var(--g1);
}

p.quote {
    background-color: var(--bgc);
    font-size: 16px;
    font-style: italic;
    text-align: justify;
    text-justify: inter-word;
    border: none;
    padding-left: 20px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    margin: 5px;
    box-shadow: 1px 1px 0px 1px #344E41;
}

p.quote:before {
    content: "“";
    color: var(--g3);
    font-size: 50px;
    width: 100%;
    height: 100%;
    text-align: right;
    display: block;
    line-height: 10px;
    margin-top: 20px;
    margin-bottom: -30px;
    margin-left: -5px;
    opacity: 0.8;
}

p.subtext {
    font-size: 14px;
    margin-bottom: -10px;
}

/* Animationen */
@keyframes onload {
    0% { transform: scale(0.1) translateY(-55%); top: 50%; opacity: 0; filter: blur(10px); }
    50% { transform: scale(1.1) translateY(-60%); top: 50%; opacity: 0.5; filter: blur(5px); }
    100% { transform: scale(1) translateY(-50%); top:50%; opacity: 1; filter: blur(0px); }
}
